Name: pam_userpass
Version: 0.9
Release: alt2

Summary: Pluggable authentication module for USER/PASS-style protocols
License: LGPL
Group: System/Base
Url: http://www.openwall.com/pam/

Source: ftp://ftp.openwall.com/pub/projects/pam/modules/%name/%name-%version.tar.bz2

BuildPreReq: libpam0-devel

%set_pam_name %name

%package -n %pam_name
Summary: Pluggable authentication module for USER/PASS-style protocols
License: LGPL
Group: System/Base
Provides: %name = %version-%release
Obsoletes: %name

%package devel
Summary: Library and header files for developing pam_userpass-aware applications
Group: Development/C
Requires: %name = %version-%release, libpam-devel

%package devel-static
Summary: Development static %name library
Group: Development/C
Requires: %name-devel = %version-%release

%description
%name is a PAM authentication module for use specifically by
services implementing non-interactive protocols and wishing
to verify a username/password pair.  The module doesn't do
any actual authentication, - other modules, such as pam_tcb,
should be stacked to provide the authentication.

%description -n %pam_name
%name is a PAM authentication module for use specifically by
services implementing non-interactive protocols and wishing
to verify a username/password pair.  The module doesn't do
any actual authentication, - other modules, such as pam_tcb,
should be stacked to provide the authentication.

%description devel
%name is a PAM authentication module for use specifically by
services implementing non-interactive protocols and wishing
to verify a username/password pair.  The module doesn't do
any actual authentication, - other modules, such as pam_tcb,
should be stacked to provide the authentication.

This package contains development library and header files
required for building pam_userpass-aware applications.

%description devel-static
%name is a PAM authentication module for use specifically by
services implementing non-interactive protocols and wishing
to verify a username/password pair.  The module doesn't do
any actual authentication, - other modules, such as pam_tcb,
should be stacked to provide the authentication.

This package contains development static library.

%prep
%setup -q

%build
%make_build CFLAGS="-c -fPIC -Iinclude $RPM_OPT_FLAGS -Werror" LDFLAGS=

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT

%define docdir %_docdir/%name-%version

%__mkdir_p $RPM_BUILD_ROOT%docdir/example
%__install -p -m644 LICENSE README \
	$RPM_BUILD_ROOT%docdir/
%__install -p -m644 example_userpass.c \
	$RPM_BUILD_ROOT%docdir/example/
%__install -p -m644 conf/example_userpass \
	$RPM_BUILD_ROOT%docdir/example/example_userpass.pamd

%__chmod a-x $RPM_BUILD_ROOT/lib/security/*.so*
%add_findprov_lib_path /lib/security

%post -n %pam_name -p %post_ldconfig
%postun -n %pam_name -p %postun_ldconfig

%files -n %pam_name
%_libdir/*.so.*
/lib/security/*
%dir %docdir
%docdir/[A-Z]*

%files devel
%_libdir/*.so
%_includedir/security/*
%dir %docdir
%docdir/example

%files devel-static
%_libdir/*.a

%changelog
* Tue Oct 07 2003 Dmitry V. Levin <ldv@altlinux.org> 0.9-alt2
- Updated to current PAM policy.

* Sat Apr 12 2003 Dmitry V. Levin <ldv@altlinux.org> 0.9-alt1
- Updated to 0.9:
  + alt-libpam_userpass patch merged upstream;
  + soname raised to libpam_userpass.so.1.

* Tue Apr 01 2003 Dmitry V. Levin <ldv@altlinux.org> 0.5.1-alt2
- Updated alt-libpam_userpass patch to make it more portable.
- Do not package /usr/include/security/_pam_userpass.h file.
- Build static library (packaged in separate subpackage).

* Thu Oct 10 2002 Dmitry V. Levin <ldv@altlinux.org> 0.5.1-alt1
- Updated to 0.5.1: use const within the declaration of
  pam_userpass_t, use '=' instead of '.set' to declare the alias.

* Mon Dec 17 2001 Dmitry V. Levin <ldv@altlinux.org> 0.5-alt3
- Added lib%name library.
- Fixed linking flags.
- Moved development library and include files into devel subpackage.
- Changed pam_userpass_t members fom char* to const char*.

* Tue Nov 13 2001 Dmitry V. Levin <ldv@altlinux.org> 0.5-alt2
- Added Url (thanks to Solar for the hint).

* Mon Nov 12 2001 Dmitry V. Levin <ldv@altlinux.org> 0.5-alt1
- 0.5.

* Thu Sep 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.4-alt1
- 0.4.

* Tue May 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.3-alt1
- ALT adaptions.

* Tue Dec 19 2000 Solar Designer <solar@owl.openwall.com>
- Added "-Wall -fPIC" to the CFLAGS.

* Fri Aug 18 2000 Solar Designer <solar@owl.openwall.com>
- 0.3, added README.

* Sun Jul 09 2000 Solar Designer <solar@owl.openwall.com>
- Initial version.
